QXmpp: QXmppJingleRtpCryptoElement Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppJingleRtpCryptoElement Class Reference

The QXmppJingleRtpCryptoElement class represents the XEP-0167: Jingle RTP Sessions "crypto" element used for SRTP negotiation. More...

## Public Member Functions
| QXmppJingleRtpCryptoElement ()
uint32_t | tag () const
void | setTag (uint32_t tag)
QString | cryptoSuite () const
void | setCryptoSuite (const QString &cryptoSuite)
QString | keyParams () const
void | setKeyParams (const QString &keyParams)
QString | sessionParams () const
void | setSessionParams (const QString &sessionParams)

## Static Public Member Functions
static bool | isJingleRtpCryptoElement (const QDomElement &element)

## Detailed Description

The QXmppJingleRtpCryptoElement class represents the XEP-0167: Jingle RTP Sessions "crypto" element used for SRTP negotiation.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppJingleRtpCryptoElement()

QXmppJingleRtpCryptoElement::QXmppJingleRtpCryptoElement | ( |  | ) |

Constructs a Jingle RTP crypto element.

## Member Function Documentation

## ◆ cryptoSuite()

QString QXmppJingleRtpCryptoElement::cryptoSuite | ( |  | ) | const

Returns the crypto suite used as an identifier for describing the encryption and authentication algorithms.

Returns
  the identifying crypto suite

## ◆ isJingleRtpCryptoElement()

bool QXmppJingleRtpCryptoElement::isJingleRtpCryptoElement | ( | const QDomElement & | element | ) |
| static

Determines whether the given DOM element is an RTP crypto element.

Parameters

  element | DOM element being checked

Returns
  whether element is an RTP crypto element

## ◆ keyParams()

QString QXmppJingleRtpCryptoElement::keyParams | ( |  | ) | const

Returns the key parameters providing one or more sets of keying material for the crypto suite.

Returns
  the key parameters providing one or more sets of keying material

## ◆ sessionParams()

QString QXmppJingleRtpCryptoElement::sessionParams | ( |  | ) | const

Returns the session parameters providing transport-specific data.

Returns
  the session parameters providing transport-specific data

## ◆ setCryptoSuite()

void QXmppJingleRtpCryptoElement::setCryptoSuite | ( | const QString & | cryptoSuite | ) |

Sets the crypto suite used as an identifier for describing the encryption and authentication algorithms.

Parameters

  cryptoSuite | identifying crypto suite

## ◆ setKeyParams()

void QXmppJingleRtpCryptoElement::setKeyParams | ( | const QString & | keyParams | ) |

Sets the key parameters providing one or more sets of keying material for the crypto suite.

Parameters

  keyParams | key parameters providing one or more sets of keying material

## ◆ setSessionParams()

void QXmppJingleRtpCryptoElement::setSessionParams | ( | const QString & | sessionParams | ) |

Sets the session parameters providing transport-specific data.

Parameters

  sessionParams | session parameters providing transport-specific data

## ◆ setTag()

void QXmppJingleRtpCryptoElement::setTag | ( | uint32_t | tag | ) |

Sets the tag used as an identifier for the crypto element.

Parameters

  tag | identifying tag

## ◆ tag()

uint32_t QXmppJingleRtpCryptoElement::tag | ( |  | ) | const

Returns the tag used as an identifier for the crypto element.

Returns
  the identifying tag

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp